<?php
ViewResponse::getInstance()->setMethodAjax();

/*****************************************/
$o_ObjectBean = new TesisBean();
if($txtCodigoBAN   !=""){ $o_ObjectBean->setCodigoBAN($txtCodigoBAN); }
if($cboTipoTesis   !=""){ $o_ObjectBean->setTipoTesisId($cboTipoTesis); }
if($txtTitulo   !=""){ $o_ObjectBean->setDescripcion($txtTitulo); }
if($txtClave    !=""){ $o_ObjectBean->setPalabraClave($txtClave); }
if($FechaSustentacionIni !=""){ $o_ObjectBean->setFechaSustentacion($FechaSustentacionIni); }
if($FechaSustentacionFin !=""){ $o_ObjectBean->setFechaSustentacionFin($FechaSustentacionFin); }
if($FechaAprobacionIni   !=""){ $o_ObjectBean->setFechaAprobacion($FechaAprobacionIni); }
if($FechaAprobacionFin   !=""){ $o_ObjectBean->setFechaAprobacionFin($FechaAprobacionFin); }
if($FechaPublicacionIni   !=""){ $o_ObjectBean->setFechaPublicacion($FechaPublicacionIni); }
if($FechaPublicacionFin   !=""){ $o_ObjectBean->setFechaPublicacionFin($FechaPublicacionFin); }
 $o_class = new TesisBL();
 $a_ObjectBean = $o_class->busquedaTesis($o_ObjectBean);
/*****************************************/

//Facultades
$o_DocenteSystemClass = new DocenteSystemClass(new FacultadBean());
$a_Facultad = $o_DocenteSystemClass->getFacultad();

$pdf = new TCPDF('L', PDF_UNIT, PDF_PAGE_FORMAT, true); 


define("POS_IZQ", 5);

$pdf->AddPage();

/*iniciop titulo*/
$pdf->SetFont('times','B',13);
$pdf->SetX(POS_IZQ);
$pdf->SetFillColor(201,202,204);
$pdf->Cell(280,4,'Lista de Tesis',0,0,'L',1);
/*fin titulo*/

/*inicio de cabecera*/
$pdf->SetFont('times','B',7);
$pdf->SetXY(POS_IZQ,20);
$pdf->SetFillColor(236,235,236);
$pdf->Cell(6,4,'Nro',0,0,'L',1);
$pdf->Cell(15,4,'Cod. BAN',0,0,'L',1);
$pdf->Cell(100,4,'Titulo',0,0,'L',1);
$pdf->Cell(15,4,'F.Sustent.',0,0,'L',1);
$pdf->Cell(15,4,'F.Aprobac.',0,0,'L',1);
$pdf->Cell(15,4,'F.Public.',0,0,'L',1);
$pdf->Cell(15,4,'Cod.Alumno',0,0,'L',1);
$pdf->Cell(30,4,'Facultad',0,0,'L',1);
$pdf->Cell(30,4,'Especialidad',0,0,'L',1);
$pdf->Cell(40,4,'Alumno',0,1,'L',1);

//$pdf->Cell(35,4,'Inicio',0,0,'L',1);
/*fin de cabecera*/

$pos    = 25;
$count  = 0;
$x      = 0;
$pdf->SetFillColor(254,254,254);
$pdf->SetFont('times','',7);

if(count($a_ObjectBean)>0){
  foreach ($a_ObjectBean as $iKey => $o_objBean){
    
    $o_TesisBL      = new TesisBL();
    $o_TesisBean    = $o_TesisBL->busquedaTesisDetalles($o_objBean); 
    $a_TesisAlumno  = $o_TesisBean->getArrayTesisAlumno();
    
    $pdf->SetX(POS_IZQ);
    foreach ($a_TesisAlumno as $iKey2 => $o_TesisAlumno){ 
      $i++; 
      
      $pdf->Cell(6,4,($i),0,0,'L',1);
      $pdf->Cell(15,4,$o_objBean->getCodigoBAN(),0,0,'L',1);
      $current_y_position = $pdf->getY()-1;
      $pdf->writeHTMLCell(100,0,$pdf->getX(),$current_y_position,utf8_encode($o_objBean->getDescripcion()),0,0,0,true);
      $pdf->Cell(15,4,substr($o_objBean->getFechaSustentacion(),0,10),0,0,'L',1);
      $pdf->Cell(15,4,substr($o_objBean->getFechaAprobacion(),0,10),0,0,'L',1);
      $pdf->Cell(15,4,substr($o_objBean->getFechaPublicacion(),0,10),0,0,'L',1);
      $pdf->Cell(15,4,$o_TesisAlumno->getObjectAlumno()->getCodigoAlumno(),0,0,'L',1);
      
      foreach ($a_Facultad as $iKey => $o_FacultadBean){
        if($o_FacultadBean->getFacultadId() == $o_objBean->getFacultadId()){
          $pdf->Cell(30,4,$o_FacultadBean->getDescripcion(),0,0,'L',1);
        }
       }
      
      $pdf->Cell(30,4,$o_objBean->getEspecialidadId(),0,0,'L',1);      
      $pdf->Cell(40,4,$o_TesisAlumno->getObjectAlumno()->getNombre(),0,1,'L',1);
      
      
    }
   
  
  }
}else{  
  $pdf->SetXY(POS_IZQ,$pos);
  $pdf->Cell(200,4,"No hay registros.",0,0,'L',1);
  
}

$pdf->Output();

?>